=== debian/changelog ===
networkmanager-qt6 (6.0.0-0deepin1) unstable; urgency=medium

  * Addressing the issue of delayed network updates

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 10 Apr 2025 13:22:20 +0800

networkmanager-qt6 (6.0.0-0deepin) unstable; urgency=medium

  * Init package 
  * Use qt6 kf6 build it 

 -- xiangzelong <xiangzelong@deepin.org>  Wed, 10 Apr 2024 13:53:13 +0800
